# v2.1
- Changes Rune pickups to play an idling sound of humming.

# v2.0
- Adds four new runes.
- Megasphere is now a spawner, choosing between Spheres and Runes.
- Player-start Tear removed.  Use PlayerSpawnTear.wad.
- Backpack spawners removed.  Use MapStartRespawners.wad,
  and "msr_spawners 4" (default is "8").
- MapStartRespawners.wad includes backpack, with new pickup sound,
  and healing bonus (range 20-200).
- Changes monster randomspawners to be more normalized, and HAF-inspired.
- Changes BlueCardinal laser intro animation.
- Changes 10KProjectile DamageType "BFG10K" back to original (None).
- Changes Player10KEx DamageType "BFG10K" back to original (None).
- Removes Legendary BFG-10K.
- Removes unused graphics, and sounds.
- [?] Renames T3DBFG10kShot to T3DBFG10kProjectile, following convention.
- [?] Renames T3DBFGShockAttack to T3DBFGProjectileAttack, following convention.
- Changes T3DBFG10kProjectile to not pass through species.
- Changes PlayerT3DBFG10kProjectile explode thrust back to original (On).
- Changes "PlayerTear" DamageType to "Player", giving Legendaries resistence.
- Changes Player Tear to do 600% less damage.  More players equals more damage.
- Changes Light Goggles and AllMap powerups to be inventory pickups.
- Adds GLDEFs lighting to T3DBFG10kProjectile.

# v1.8.4
- Reduces firing speed of CannonGun, and increases damage.
- Fixes Cannongun countdown timer to be removed from screen when you die.
- Removes ExplosiveMinigun, HexaShotgun, and Leg. ASG replacements.
- Removes LegDemonRune override.  Players can now keep all their runes while using DemonRune.

# v1.8.3
- Renames music to new format.
- Removes charge-up for Leg BFG 10k primary fire.
- Quick-fixes nopush for certain elements of D-BFG.

# v1.8.2
- Improves the sprite effects of player spawn tear.
- Reduces size of Legendary BFG HUD Weapon.
- Reduces size of True Legendary BFG HUD Weapon.
- Replaces Legendary BFG pickup sprite with old one.
- Updates/Activates Legendary BFG 10K weapon.

# v1.8.1b
- Increases sensitivity for Dynamic DamageFactor of dying players.  (95hp = 75% damage taken.  50hp = 50%, 25hp = 25%)

# v1.8.1
- Removes Cannongun from player when entering new map.
- Fixes bug with players starting with 0.5 damage factor.  Should be 1.0.
- Fixes bug with missing drops from a few LCA monsters.

# v1.8b
- Remove dropped Cannongun weapon to prevent pickup from others.

# v1.8
# - Includes changes from custom v1.7.3.
- Includes changes from opt.a6.
# - Includes freezer-patch-v1.
# - Includes leg-demon-rune-patch-v1. (Note: No Enraged though.)
- Includes complex-doom-nopush-v6.
- Includes lca-1.5.9-nopush-v2.
- Adds new feature: Dynamic DamageFactor for dying players.
- Adds new powerup: CannongunSphere.
- Changes FreezerRifle's FlameShot radius from 3 to 2.

# v1.7.5
- Adds missing MODELDEF for Ark replacement of 10KProjectile.
- Adds new multi-teleport bfg attack.
- Adds new pain split mirroring ability.
- Enhances effects of D-BFG Ball Impact Explosion.

# v1.7.2
- Reverts Legendary BFG Ball DamageType LCA1.5.8 patch.

# v1.7.1
- Restores +DONTRIP, and adds +CANTSEEK to Corrupted Cardinal.
- Patches Legendary BFG Ball DamageType to LCA 1.5.8, for Corrupted Cardinal.
- Changes backpack system, again.
- Fixes friendly-fire bug with D-BFG Ball Impact Explosion and Smoke.
- Fixes scaling of Corrupted Cardinal's Ghost.

# v1.7
- Improves reinforcement backpack system.
- Increases difficulty of Corrupted Cardinal.
- Removes TIMEFREEZE, and DONTRIP from Corrupted Cardinal.

# v1.6
- Prevents stacked backpack spawners.
- Changes reinforcement backpacks to be classic backpacks.
- Increases difficulty of Corrupted Cardinal.

# v1.5.3
- Adjusts resistences on corrupted cardinal.

# v1.5.2
- Fixes scale of corrupted cardinal to match original cardinal.
- Reduces health and resistence of corrupted cardinal.

# v1.5.1
- Fixes corrupted cardinal's ghost scale.
- Fixes positioning of jet flames to match newly positioned sprites.
- Removes CyberReplacer spawner, to improve compatibility with other mods.

# v1.5
- Disables elites system.
- Restores cardinal spawner to spawn corrupted cardinals.
- Repositions corrupted cardinal sprites to match with normal cardinal.
- Adds more drops to corrupted cardinal.
- Adds pickup sounds to DBFG ammo items.
- Changes CyberReplacer.

# v1.4.5
- Fixes bug that allowed players to use puke to spawn elite early.

# v1.4.4
- Removes unstuck system.

# v1.4.3
- Changes elite spawn chance to 50% -> 65% -> 80% -> 90%.
- Removes wall clipping from elite.

# v1.4.2
- Fixes bug where dead players were being accounted for elite spawn and scale.
- Prevents elite from spawning/teleporting on player.
- Changes elite to not die from player tear's.
- Updates elite's obituary to say elite.

# v1.4.1
- Improves the elite warning music.
- Adds secondary BGM when elite is at 50% health.
- Adds missing IDLE music.
- Elite's health now scales for # of players, by +50% per player.
- Fixes bug where a floating elite cannot get unstuck.
- Fixes bug where an elite would sometimes not arrive to it's elite teleport.
- Fixes bug where an elite would revive upon death.
- Fixes bug where elite health bar would periodically disappear.
- Adds precautionary check for a valid player for elite re-teleport.
- Adds 75% resistence to the corrupted cardinal.
- Adds various % resistences to the corrupted cardinal.
- Adds timefreeze resistence to the corrupted cardinal.
- Adds more drops to the corrupted cardinal.
- Adds railgun attack to corrupted cardinal.

# v1.4
- Adds missing GLDEF lighting for D-BFG drop.
- Removes D-BFG ammo from backpacks.
- Renames Blue Cardinal to Corrupted Cardinal.
- Adds Elites system.
- Removes Corrupted Cardinal from spawners.  Now as an elite.
- Removes LCA music disabler.  Note: For HAF servers, load lca-music-off-v2.pk3

# v1.3
- Restores missing sprites for spawn tear.
- Adds limit to Blue Cardinal "See" sounds.
- Reduces damage of D-BFG pulse shot by 25%.
- Reduces Blue Cardinal spawnrate chance by 50%.
- Reduces ammo costs of D-BFG ball, from 25 to 20.
- Adds missing tracer graphics.
- Adds 3D tracer graphics.
- Adds 95% resistence to Blue Cardinal for Player's D-BFG pulse attacks.
- Adds 90% resistence to Blue Cardinal for Player's D-BFG ball attacks.
- Restores original health of Blue Cardinal to 16000.
- Adds teleport ability to Blue Cardinal.
- Blue Cardinal will teleport when in pain.
- Improves death sequence for Blue Cardinal.
- Increases size of D-BFG ball, as intended.
- Adds recoil to D-BFG.
- Reduces packet surge from spawn tears for when there are many players.
- Renames weapon system name DBFG to D-BFG.
- Removes HAF dependancy. (Can use on regular LCA servers now.)

# v1.2
- Fixes bug where tear wouldn't hurt legendaries sometimes.
- Adds player spawn backpack spawners.  Backpacks respawn every 30 seconds.
- Adds Blue Cardinal w/ D-BFG weapon.
- Removes auto-tear attack.

# v1.1
- Adds a timed auto-tear attack.
- Changes LCA weapon music to be disabled.

# v1.0
- Adds a Player-spawn tear.
- Changes LCA music disabled.
